agent_id: abn-lookup-agent
model: claude-haiku-4-6
squad: browser-and-automation
thread_type: P-Thread
purpose: Look up ABN/ACN details via ABR API; verify business legitimacy, extract registered trading name and state
status: ready
created: 2026-02-24
